Questions tagged [update]

For questions regarding how to update the Pi's operating systems, programming languages, and applications (both native and external). Consider also tagging with the program or OS that you are updating if appropriate.

Filter by
Sorted by
Tagged with
1
vote
1answer
274 views

Pi 2B won't update TeamViewer

I've recently tried to log into my Raspberry Pi (2B with 1GB running Jessie) using TeamViewer and found that my TV software is out of date. I needed to update TV to version 14. When I downloaded ...
1
vote
0answers
16 views

chromium_browser garbled in text box when copy and paste

I am Japanese and used to use Japanese and English characters togeter. When I copy text from some program to chromium-browser in-box, it garbles. Garbles (mis-conversion) happens between some program ...
-2
votes
1answer
335 views

Kernel version does not update when using apt update, apt full-upgrade

I want my Rpis to automatically update to the latest kernel pushed out by the Rpi Foundation, so I set up unattended-upgrades. I assume that's been working - but the kernel version hasn't updated ...
0
votes
1answer
40 views

Kernel version does not update when using apt update, apt full-upgrade [again] [duplicate]

Back again with the same issue (previously it was 5.4.51 -> 5.4.83 Kernel version does not update when using apt update, apt full-upgrade, got no useful suggestions) - now it's 5.4.83 -> 5.10.17....
53
votes
4answers
83k views

How do I set my Raspberry Pi to automatically update/upgrade?

Currently, to get things up to date on my Raspberry Pi, I have to type in sudo apt-get update and sudo apt-get upgrade. Is there a way to set it up to automatically do this? I am running Raspbian ...
0
votes
1answer
38 views

Raspberry cannot install anything via sudo apt-get install <x> [closed]

yesterday i bought a new Raspberry Pi 4 Model B. Im trying to install java & other packages but when i try to install via command: sudo apt-get install <x> i get the error: i tried to with ...
1
vote
0answers
61 views

raspi ubuntu 20 - apt-get update problem - linux firmware / linux-raspi / linux-image-raspi

Hy my raspi has this fstab: UUID=7d298733-8450-4adb-b654-6de49954db5c / btrfs defaults 0 0 UUID=AD5E-0725 /boot/firmware vfat defaults 0 1 Then the ...
0
votes
0answers
30 views

apt upgrade breaks python-rpi.gpio

There seems to be an issue in the Raspbian repository since around the start of March. My Pi running motion stopped working around then - probably due to an apt update I did around that time. Not able ...
0
votes
2answers
4k views

Sub-process /usr/bin/dpkg returned an error code (1)

Can anyone help a n00b out? I should have enough space on my SD. df -h results are below. sda1 is for NAS storage. I'd appriciate any input whatsoever, and thanks in advance. sudo apt-get upgrade ...
7
votes
3answers
18k views

Enable SSH in NOOBS before install

In the last release (2.1) of NOOBS the developers have "disabled by default" SSH, so it's not possible anymore to connect to a Raspbian via SSH, which is installed via NOOBS, without enabling SSH ...
0
votes
3answers
38 views

Setting update command on rc.local

what will happen if I put my update and upgrade command on /etc/rc.local?? after reading some forums and all I understand that we can use crontab and so on. But what will happen if I do it in this way....
1
vote
0answers
22 views

Update Raspberry Pi Flash with change of SD Card

I know that the firmware on the Raspberry Pi 4 is automatically updated trough the package manager. If I install a new version of rpi-eprom (or is it another package?) trough apt upgrade the boot-...
8
votes
4answers
3k views

Will Raspberry Pi OS update `sudo` to address a recent security vulnerability?

There has been some traffic online this year regarding an apparently substantial vulnerability in sudo that allows unauthorized privilege elevation - CVE-2021-3156. I've been checking sudo --version ...
0
votes
0answers
28 views

Cannot do apt-get upgrade

I am getting below error when running apt-get update, how to fix? dpkg: warning: files list file for package 'linux-base' missing; assuming package has no files currently installed dpkg: warning: ...
1
vote
4answers
2k views

How do I stop the audio message “To install the screen reader press control alt spce”?

Just upgraded raspian (December 2020 release) and since then, every 15 seconds a computerized voice says "To install the screen reader press control alt space". Orca is not installed (I ...
0
votes
2answers
44 views

WiFi - No Support in Old Image

I have a old Raspberry Pi model 2 B - with no GUI support for WiFi and no image that support WiFi. I now have a Raspberry Pi Zero that support WiFi, i use the old image on this. sudo apt-get update ...
0
votes
1answer
88 views

PXE booted Raspberry cluster curious update behavior during update

I am running a PXE booted Raspberry cluster: one pi is the PXE boot server with has an SSD attached and is updated to 4.14.82-v7+ #1165. The boot-image for the PXE clients is rsync'ed. Clients boot up ...
0
votes
2answers
238 views

Automaticly startup BASH script stop with work after 20min

I made Bash script what running fan for cooling. PIN20 is PWM out and this script work perfect. I run this script over therminal arroun 15 hours. Afer all tests i register script for autoload after ...
0
votes
1answer
107 views

RPi2 - installation of PIXEL: incomplete apt-get dist-install; unable to reboot to rerun dist-install

Raspberry Pi / Jessie. This morning I attempted install of PIXEL, following the sequence of commands on the Raspberry Pi website page for PIXEL installs. The apt-get update completed successfully ...
0
votes
1answer
572 views

dphys swapfile error while updating

So I recently got a new raspberry pi 4 and I went to update it and ran the following commands: sudo apt-get update and sudo apt-get upgrade. The update command ran perfectly fine but when I ran ...
-1
votes
1answer
43 views

Error while dist-upgrade: …/raspberrypi-kernel_1.20210108-1_armhf.deb Hash Sum mismatch

I am upgrading my RPi 3 from Raspbian stretch to buster. I get this error while running sudo apt dist-upgrade: Err:1 http://archive.raspberrypi.org/debian buster/main armhf raspberrypi-kernel armhf 1....
0
votes
2answers
30 views

Wolfram-engine failed to create symbolic link while doing dist-upgrade on Raspbian-stretch

I tried to upgrade my Raspbian on Raspberri Pi 3 from Stretch to Buster but receive this error: ➜ ~ sudo apt dist-upgrade -y Reading package lists... Done Building dependency tree Reading ...
0
votes
3answers
327 views

apt update results in hash sum mismatch

Please see the error that I get every time when I try to apt update below. I use a Raspberry Pi 3 Model B. I did a lot of research and tried a lot of things to solve that issue: -Changed the /etc/apt/...
4
votes
0answers
768 views

Apt-get upgrade broken [closed]

I've got an error while trying to upgrade my pi. I can't even reboot it. My SD Card wasn't full. pi@raspberrypi ~ $ sudo apt-get dist-upgrade Lecture des listes de paquets... Fait Construction de l'...
1
vote
0answers
32 views

Raspberry Pi seemed to have rebooted

I let my RPi on yesterday with several scripts open and running. But when I came back today, all the scripts were closed, like if the RPI rebooted. I read that Raspbian, contrary to Windows, is not ...
-1
votes
1answer
538 views

Cannot update my raspberry pi

I try an update on my new raspberry pi 3. I did sudo apt-get update and I've got "0% mirrordirector.raspbian.org" Internet is ok but when I ping mirrordirector I've got 13 packets transmitted but 0 ...
1
vote
1answer
227 views

Pi asks for login when remotely accessing it

I've been using a Raspberry Pi for 1 year maybe more. I installed Raspbian on it and I use it as a media center among other things. Recently I accessed it via SSH and ran: sudo apt-get update sudo ...
1
vote
0answers
38 views

No Recommended Software menu after updating and upgrading

I'm a beginner using a Raspberry Pi 3. I ran the commands, sudo apt-get update and sudo apt-get dist-upgrade, rebooted and logged back in and there is no menu for Recommended Software. I also ran the ...
1
vote
1answer
601 views

Can't Install Packages with apt-get | no installation candidate

I'm using Raspbian Stretch with Desktop(v4.14.62-v7) and I can't seem to be able to install packages on my rPi. For instance, when I type sudo apt-get install autoconf, I get: Reading package lists.....
0
votes
0answers
110 views

Problem I2C when using BH1750 photoresistor

(Raspberry Pi 2, model B, V1.1 - buster OS - all updated / upgraded - smbus loaded on) Hi, I am quite new to the Raspberry Pi and recently I have hit a brick wall. I am trying to link the Raspberry ...
1
vote
1answer
17 views

Updating custom program over 4G

I have been working on a project that uses a Raspberry Pi 3b+ to send collected data to my server. This Raspberry Pi is setup with a 4G module and is able to send and receive data to and from my ...
1
vote
2answers
3k views

sudo apt-get update error, connection failed

When i try to update my rpi i get error like this: Ign http://mirrordirector.raspbian.org jessie InRelease Err http://mirrordirector.raspbian.org jessie Release.gpg Connection failed [IP: 10.0.0.1 ...
0
votes
1answer
18 views

upgrad tzdata encountered error

After completeing sudo apt update, I had problems with apt upgrade which encountered the following error: The following packages will be upgraded: tzdata 1 upgraded, 0 newly installed, 0 to remove ...
1
vote
2answers
252 views

Xorg doesn't start after upgrade from Stretch to Buster

After I upgraded my Pi 3B+ from Stretch to Buster, the X Server does not come up again. I cannot access the desktop/window manager. As the machine is just for remote logins, the first symptom is that ...
1
vote
1answer
58 views

Can i update a SD card that has been used with a PI3 on a PI 4 for firmware for SSD?

I have an old SD card that was used with a PI3. Like a lot of people at the time i never did an update for it.I have recently got a PI 4, can i use the card in my PI 4 and update it for the firmware ...
0
votes
1answer
547 views

Cannot uninstall wrapt 1.10.11

I am trying to install Tensorflow 2.3 on the raspberry pi 4 2GB using this guide (https://itnext.io/installing-tensorflow-2-3-0-for-raspberry-pi3-4-debian-buster-11447cb31fc4) but I keep getting the ...
-1
votes
2answers
3k views

Raspberry Pi Model B Freezes on upgrade

Hello wonderful people of the internet, I hope you're having a wonderful day! I was recently given a raspberry pi(1) model b, I bought a 16GB sd card for it and I've installed raspbian onto it. I have ...
0
votes
0answers
102 views

no sound via hdmi after update [duplicate]

The sound via hdmi stopped working after this update: Start-Date: 2020-12-04 20:43:36 Commandline: apt upgrade Requested-By: pi (1000) Install: hplip-data:armhf (3.18.12+dfsg0-2, automatic), ...
0
votes
0answers
37 views

December 2020 Upgrade broke sound over HDMI [duplicate]

Did the full upgrade last night and it broke my sound and bluetooth disappeared. I've followed just about every (only a couple available) recommendations but nothing seems to be working. I have also ...
1
vote
0answers
36 views

Unattended upgrade removed core packages

I'm using unattended upgrades on my RPi server which is running production grade personal servers (mail server, wordpress, nextcloud). Last night, the unattended upgrade uninstalled a lot of package ...
0
votes
1answer
672 views

Raspbian: dpkg hangs during raspberrypi-kernel package upgrade

while doing an apt upgrade on my Raspberry Pi 4 (Raspbian 10 - Buster), dpkg was interrupted during setup of the raspberrypi-kernel package: raspberrypi-kernel (1.20190819-1) wird eingerichtet ... »...
1
vote
1answer
328 views

Moving SD card from Pi 2 to Pi 4, Pi4 does not boot, Berryboot issue?

I am trying to upgrade from Raspberry Pi 2 ("old setup") to Raspberry Pi 4 ("new setup"). I would like to just physically move SD card from Rpi 2 to Rpi 4. What is important for me ...
0
votes
1answer
48 views

When I type sudo apt-get update I get:

When I type sudo apt-get update I get: Repository 'http://raspbian.raspberrypi.org/raspbian buster InRelease' changed its 'Suite' value from 'testing' to 'stable' N: This must be accepted explicitly ...
-1
votes
1answer
772 views

sudo apt-get update Archives directory is missing

I have no idea what this means. Was just doing a routine update on my Raspberry Pi: pi@raspberrypi ~ $ sudo apt-get update E: Archives directory /var/cache/apt/archives/partial is missing. - Acquire ...
0
votes
1answer
126 views

sudo apt-get update not available

When I try to update with sudo apt-get update, I get the following: E: The method driver /usr/lib/apt/methods/https could not be found. N: Is the package apt-transport-https installed? How do I fix ...
1
vote
3answers
2k views

Possible SPI issues around NRF24 operations post RPi system update?

I have a number of RPis that communicate with Arduinos via BLavery's lib_nrf24.py (which appears to be derived from Barraca's pynrf24). Recently several of the RPis automatically updated via apt-get ...
1
vote
0answers
21 views

restrict `apt upgrade` to available hardware or hardware version

I have an old-ish RPi 1BP. It's slow, but remains useful for some things. I do keep the software current through periodic apt update & apt upgrade. I've noticed that since the upgrade to buster, ...
8
votes
1answer
24k views

Updating Python 3.7 to 3.8 [closed]

I recently updated my Raspberry Pi with sudo apt update and sudo apt full-upgrade to the system. Even if Python 3.8 is out, when I run python3 in terminal, it shows me version 3.7, instead of 3.8. Why ...
1
vote
2answers
993 views

sudo apt-get upgrade is extremely slow

I run a new installation of Minimal image based on Debian Buster on Raspberry Pi 3B. sudo apt-get update gone as usuall - 1-2 minutes. However, sudo apt-get upgrade is running already 1:30 or so. And ...
0
votes
1answer
126 views

sudo apt-get update have error

i have error on updating raspberry pi pi@TechTSDHacking:~ $ sudo apt-get update Hit:1 http://deb.playonlinux.com stretch InRelease Hit:2 http://archive.raspberrypi.org/debian buster InRelease Hit:3 ...

1
2 3 4 5 6